Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] complicated circular dependencies
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Simonheld
Apprentice
Apprentice


Joined: 20 Nov 2005
Posts: 151
Location: Deepest Black Bavaria

PostPosted: Mon Apr 29, 2013 9:51 pm    Post subject: [solved] complicated circular dependencies Reply with quote

Hi,

ich installiere gerade gentoo auf einer neuen ssd von meinem alten System aus via "chroot".

Sobald ich versuche größere Pakete wie kde-meta oder xorg-x11 zu installieren bekomme ich grausige zirkulare Abhängigkeiten, wie man so schön sagt.

Beispiel:

Code:

(chroot) Balrog / # emerge -p xorg-x11     

These are the packages that would be merged, in order:

Calculating dependencies... done!


[nomerge       ] dev-perl/DBD-mysql-4.01.7
[nomerge       ]  virtual/mysql-5.1  USE="-embedded -minimal -static"
[ebuild  N     ]   dev-db/mysql-5.1.67  USE="berkdb community perl ssl -big-tables -cluster -debug -embedded -extraengine -latin1 -max-idx-128 -minimal -pbxt -profiling (-selinux) -static {-test} -xtradb" 26,055 kB
[ebuild  N     ]    dev-perl/DBD-mysql-4.01.7  130 kB
[nomerge       ] dev-db/mysql-5.1.67  USE="berkdb community perl ssl -big-tables -cluster -debug -embedded -extraengine -latin1 -max-idx-128 -minimal -pbxt -profiling (-selinux) -static {-test} -xtradb"
[nomerge       ]  dev-util/cmake-2.8.10.2-r2  USE="ncurses qt4 -emacs {-test} -vim-syntax"
[nomerge       ]   dev-qt/qtgui-4.8.4-r1:4  USE="accessibility cups dbus exceptions gif glib mng qt3support tiff xinerama xv (-aqua) -c++0x -debug -egl -gtkstyle -nas -nis -pch -trace"
[ebuild  N     ]    dev-qt/qt3support-4.8.4:4  USE="accessibility exceptions (-aqua) -c++0x -debug -pch" 231,048 kB
[ebuild  N     ]     dev-qt/qtsql-4.8.4:4  USE="exceptions mysql qt3support sqlite (-aqua) -c++0x -debug -firebird -freetds -oci8 -odbc -pch -postgres" 0 kB
[ebuild  N     ]      virtual/mysql-5.1  USE="-embedded -minimal -static" 0 kB
[nomerge       ] net-print/foomatic-filters-4.0.17  USE="cups dbus"
[nomerge       ]  app-text/ghostscript-gpl-9.05-r1  USE="X cups dbus gtk -bindist -djvu -idn -jpeg2k -static-libs" LINGUAS="-ja -ko -zh_CN -zh_TW"
[nomerge       ]   x11-libs/gtk+-2.24.17:2  USE="cups introspection xinerama (-aqua) -debug -examples {-test} -vim-syntax"
[nomerge       ]    net-print/cups-1.5.2-r4  USE="X acl dbus filters java jpeg ldap pam perl png python ssl threads tiff usb -avahi -debug -gnutls -kerberos (-selinux) -slp -static-libs -xinetd" LINGUAS="-es"
[ebuild  N     ]     app-text/poppler-0.22.2-r2:0/35  USE="cairo cxx introspection jpeg lcms png qt4 tiff utils -cjk -curl -debug -doc -jpeg2k" 2,164 kB
[ebuild  N     ]      dev-util/cmake-2.8.10.2-r2  USE="ncurses qt4 -emacs {-test} -vim-syntax" 5,634 kB
[ebuild  N     ]       dev-qt/qtgui-4.8.4-r1:4  USE="accessibility cups dbus exceptions gif glib mng qt3support tiff xinerama xv (-aqua) -c++0x -debug -egl -gtkstyle -nas -nis -pch -trace" 0 kB
[nomerge       ] app-text/poppler-0.22.2-r2:0/35  USE="cairo cxx introspection jpeg lcms png qt4 tiff utils -cjk -curl -debug -doc -jpeg2k"
[nomerge       ]  media-libs/lcms-2.3:2  USE="jpeg tiff zlib -doc -static-libs {-test}"
[nomerge       ]   media-libs/tiff-4.0.2-r1  USE="cxx jpeg zlib -jbig -lzma -static-libs"
[nomerge       ]    virtual/jpeg-0  USE="-static-libs"
[ebuild  N     ]     media-libs/libjpeg-turbo-1.2.1  USE="java -static-libs" 1,728 kB
[ebuild  N     ]      virtual/jre-1.6.0:1.6  0 kB
[ebuild  N     ]       virtual/jdk-1.6.0-r1:1.6  0 kB
[ebuild  N     ]        dev-java/icedtea-bin-6.1.12.4:6  USE="X alsa cups nsplugin -cjk -doc -examples -source" 38,421 kB
[nomerge       ] dev-java/icedtea-bin-6.1.12.4:6  USE="X alsa cups nsplugin -cjk -doc -examples -source"
[nomerge       ]  net-print/cups-1.5.2-r4  USE="X acl dbus filters java jpeg ldap pam perl png python ssl threads tiff usb -avahi -debug -gnutls -kerberos (-selinux) -slp -static-libs -xinetd" LINGUAS="-es"
[ebuild  N     ]   net-print/foomatic-filters-4.0.17  USE="cups dbus" 261 kB
[nomerge       ] x11-base/xorg-x11-7.4-r2
[nomerge       ]  x11-base/xorg-server-1.13.4:0/1.13.4  USE="ipv6 nptl suid udev xorg -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -xnest -xvfb"
[nomerge       ]   x11-base/xorg-drivers-1.13  INPUT_DEVICES="evdev -acecad -aiptek -elographics -fpit -hyperpen -joystick -keyboard -mouse -mutouch -penmount -synaptics -tslib -vmmouse -void -wacom" VIDEO_CARDS="nvidia -apm -ark -ast -chips -cirrus -dummy -epson -fbdev -fglrx (-geode) -glint -i128 (-i740) -intel -mach64 -mga -modesetting -neomagic (-newport) -nouveau -nv (-omap) (-omapfb) -qxl -r128 -radeon -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vesa -via -virtualbox -vmware (-voodoo)"
[ebuild  N     ]    x11-drivers/nvidia-drivers-313.30  USE="X acpi (multilib) tools -pax_kernel" 66,777 kB
[nomerge       ] app-text/poppler-0.22.2-r2:0/35  USE="cairo cxx introspection jpeg lcms png qt4 tiff utils -cjk -curl -debug -doc -jpeg2k"
[nomerge       ]  dev-qt/qtgui-4.8.4-r1:4  USE="accessibility cups dbus exceptions gif glib mng qt3support tiff xinerama xv (-aqua) -c++0x -debug -egl -gtkstyle -nas -nis -pch -trace"
[nomerge       ]   net-print/cups-1.5.2-r4  USE="X acl dbus filters java jpeg ldap pam perl png python ssl threads tiff usb -avahi -debug -gnutls -kerberos (-selinux) -slp -static-libs -xinetd" LINGUAS="-es"
[ebuild  N     ]    app-text/ghostscript-gpl-9.05-r1  USE="X cups dbus gtk -bindist -djvu -idn -jpeg2k -static-libs" LINGUAS="-ja -ko -zh_CN -zh_TW" 27,622 kB
[ebuild  N     ]     x11-libs/gtk+-2.24.17:2  USE="cups introspection xinerama (-aqua) -debug -examples {-test} -vim-syntax" 12,978 kB
[ebuild  N     ]      net-print/cups-1.5.2-r4  USE="X acl dbus filters java jpeg ldap pam perl png python ssl threads tiff usb -avahi -debug -gnutls -kerberos (-selinux) -slp -static-libs -xinetd" LINGUAS="-es" 9,407 kB
[ebuild  N     ]   media-libs/libmng-1.0.10-r1  USE="lcms -static-libs" 1,068 kB
[ebuild  N     ]    media-libs/lcms-1.19  USE="jpeg python tiff zlib -static-libs" 907 kB
[ebuild  N     ]  media-libs/lcms-2.3:2  USE="jpeg tiff zlib -doc -static-libs {-test}" 4,358 kB
[nomerge       ] x11-drivers/nvidia-drivers-313.30  USE="X acpi (multilib) tools -pax_kernel"
[nomerge       ]  x11-libs/gtk+-2.24.17:2  USE="cups introspection xinerama (-aqua) -debug -examples {-test} -vim-syntax"
[ebuild  N     ]   x11-libs/gdk-pixbuf-2.26.4:2  USE="X introspection jpeg tiff -debug -jpeg2k {-test}" 1,154 kB
[ebuild  N     ]    media-libs/tiff-4.0.2-r1  USE="cxx jpeg zlib -jbig -lzma -static-libs" 1,976 kB
[ebuild  N     ]     virtual/jpeg-0  USE="-static-libs" 0 kB

Total: 23 packages (23 new), Size of downloads: 431,680 kB

 * Error: circular dependencies:

(virtual/jre-1.6.0::gentoo, ebuild scheduled for merge) depends on
 (virtual/jdk-1.6.0-r1::gentoo, ebuild scheduled for merge) (runtime)
  (dev-java/icedtea-bin-6.1.12.4::gentoo, ebuild scheduled for merge) (runtime)
   (net-print/cups-1.5.2-r4::gentoo, ebuild scheduled for merge) (runtime)
    (virtual/jre-1.6.0::gentoo, ebuild scheduled for merge) (buildtime)

It might be possible to break this cycle
by applying the following change:
- dev-java/icedtea-bin-6.1.12.4 (Change USE: -cups)

Note that this change can be reverted, once the package has been installed.

Note that the dependency graph contains a lot of cycles.
Several changes might be required to resolve all cycles.
Temporarily changing some use flag for all packages might be the better option.

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/libxml2:2

  (dev-libs/libxml2-2.9.0-r2::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libxml2[python] required by (media-libs/mesa-9.0.1::gentoo, ebuild scheduled for merge)

  (dev-libs/libxml2-2.9.0-r2::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)


!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might help emerge to give a more specific suggestion.

(chroot) Balrog / #


ein bischen Info:

Code:

(chroot) Balrog / # cat /etc/portage/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /etc/make.conf.example for a more detailed example.
#CFLAGS="-O2 -pipe -march=athlon64 -funroll-loops -funit-at-a-time -ftracer -funswitch-loops -fomit-frame-pointer"
CFLAGS="-march=native -O2 -pipe"
MAKEOPS="-j5"
CXXFLAGS="${CFLAGS}"
# This should not be changed unless you know exactly what you are doing.  You
# should probably be using a different stage, instead.
CHOST="x86_64-pc-linux-gnu"
USE="hal jpeg python xmms opengl sql pengl usb png unicode X firefox dbus pdf kde nsplugin qt3support 3dnow -qt3 qt4 mng cups dvd alsa svg webkit mysql mp3 nvidia avi samba mozilla java flash firefox perl png python wxwidgets"
#USE="-qt3 qt3support qt4 cairo xulrunner sqlite accessibility nvidia xvmc mp3 samba mozilla nsplugin nptl nptlonly 3dnow 3dnowext aalib acl acpi alsa audiofile avi berkdb crypt cscope curl dga divx4linux dri dvd emacs emacs-w3 encode esd fam fbcon fftw flac flash gdbm ggi gif gmp gpm gstreamer gtk gtk2 gtkhtml imap imlib java jikes jpeg kde lcms ldap leim libwww mad mbox mmx motif lesstif mpeg mule nptl nls offensive oggvorbis opengl pampdflib perl png python readline ruby sdl slang spell sse ssl tcltk tiff truetype unicode usb videos wmf wxwindows wxwidgets X Xaw3d xface xinerama xosd xml xml2 xmms xv xvid cdparanoia pam zlib firefox xcb pdf dbus mng sql svg webkit mysql"
GENTOO_MIRRORS="http://de-mirror.org/gentoo/ ftp://de-mirror.org/gentoo/"
#GENTOO_MIRRORS="ftp://de-mirror.org/distro/gentoo/"
LINGUAS="de"
INPUT_DEVICES="evdev"
VIDEO_CARDS="nvidia"
ACCEPT_LICENSE="AdobeFlash-10.1"
(chroot) Balrog / #


Vielleicht müsste ich mal die USE-Flags ausmisten, aber leider bin ich da nicht so firm. Bei vielen Sachen bin ich mir nicht sicher ob ich sie brauche oder nicht.

ich hab versucht mit
Code:

USE="-cups" emerge icedtea-bin

und ähnlichem da raus zu kommen aber ohne Erfolg.

Irgendwelche Tipps ?

[/code]


Last edited by Simonheld on Fri May 03, 2013 1:26 pm; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2273
Location: Germany

PostPosted: Tue Apr 30, 2013 1:42 pm    Post subject: Re: complicated circular dependencies Reply with quote

Simonheld wrote:
...
ein bischen Info:

Code:

(chroot) Balrog / # cat /etc/portage/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /etc/make.conf.example for a more detailed example.
#CFLAGS="-O2 -pipe -march=athlon64 -funroll-loops -funit-at-a-time -ftracer -funswitch-loops -fomit-frame-pointer"
CFLAGS="-march=native -O2 -pipe"
MAKEOPS="-j5"
CXXFLAGS="${CFLAGS}"
# This should not be changed unless you know exactly what you are doing.  You
# should probably be using a different stage, instead.
CHOST="x86_64-pc-linux-gnu"
USE="hal jpeg python xmms opengl sql pengl usb png unicode X firefox dbus pdf kde nsplugin qt3support 3dnow -qt3 qt4 mng cups dvd alsa svg webkit mysql mp3 nvidia avi samba mozilla java flash firefox perl png python wxwidgets"
#USE="-qt3 qt3support qt4 cairo xulrunner sqlite accessibility nvidia xvmc mp3 samba mozilla nsplugin nptl nptlonly 3dnow 3dnowext aalib acl acpi alsa audiofile avi berkdb crypt cscope curl dga divx4linux dri dvd emacs emacs-w3 encode esd fam fbcon fftw flac flash gdbm ggi gif gmp gpm gstreamer gtk gtk2 gtkhtml imap imlib java jikes jpeg kde lcms ldap leim libwww mad mbox mmx motif lesstif mpeg mule nptl nls offensive oggvorbis opengl pampdflib perl png python readline ruby sdl slang spell sse ssl tcltk tiff truetype unicode usb videos wmf wxwindows wxwidgets X Xaw3d xface xinerama xosd xml xml2 xmms xv xvid cdparanoia pam zlib firefox xcb pdf dbus mng sql svg webkit mysql"
GENTOO_MIRRORS="http://de-mirror.org/gentoo/ ftp://de-mirror.org/gentoo/"
#GENTOO_MIRRORS="ftp://de-mirror.org/distro/gentoo/"
LINGUAS="de"
INPUT_DEVICES="evdev"
VIDEO_CARDS="nvidia"
ACCEPT_LICENSE="AdobeFlash-10.1"
(chroot) Balrog / #


Vielleicht müsste ich mal die USE-Flags ausmisten, aber leider bin ich da nicht so firm. Bei vielen Sachen bin ich mir nicht sicher ob ich sie brauche oder nicht.
...

Ja, deine USE-Flags solltest du dringend mal überprüfen (ausmisten).
Normal ist es keine gute Idee Flags wie zb perl python und java (um nur einige zu nennen) global für alle Pakete in der make.conf zu setzen.

Ein Vorschlag:
Nutze möglichst ein für dein System passendes Profil, und setze dann die für dich noch nicht passenden USE-Flags passend pro Paket in /etc/portage/package.use
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum